@echo
FOR %%i IN (%1\*.bmp) DO "f:\ImageMagick\convert" -colors 2 %%i %%i
FOR %%i IN (%1\*.bmp) DO "f:\ImageMagick\convert" -monochrome %%i %%i
rem FOR %%i IN (%1\*.bmp) DO "f:\ImageMagick\convert" %%i ppm:%%~di%%~pi%%~ni%%.ppm
for /d %%i in (%1\*.*) do convertall.bat %%~di%%~pi%%~ni%%~xi
